| NegotiationMiddlewareTest::testFormatViaQueryParameter |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests the specifying a format via query parameters gets used. |
| NegotiationMiddlewareTest::testHandle |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests that handle() correctly hands off to sub application. |
| NegotiationMiddlewareTest::testSetFormat |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests set format. |
| NegotiationMiddlewareTest::testUnknownContentTypeButAjaxRequest |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests the getContentType() method when no priority format is found but it's an AJAX request. |
| NegotiationMiddlewareTest::testUnknownContentTypeReturnsNull |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests the getContentType() method when no priority format is found. |
| NestedArrayTest |
class |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests Drupal\Component\Utility\NestedArray. |
| NestedArrayTest.php |
file |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
|
| NestedArrayTest::$form |
property |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Form array to check. |
| NestedArrayTest::$parents |
property |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Array of parents for the nested element. |
| NestedArrayTest::providerTestFilter |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
|
| NestedArrayTest::setUp |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
|
| NestedArrayTest::testFilter |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests filter. |
| NestedArrayTest::testGetValue |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests getting nested array values. |
| NestedArrayTest::testKeyExists |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests existence of array key. |
| NestedArrayTest::testMergeDeepArray |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests NestedArray::mergeDeepArray(). |
| NestedArrayTest::testMergeExplicitKeys |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests that even with explicit keys, values are appended, not merged. |
| NestedArrayTest::testMergeImplicitKeys |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests that arrays with implicit keys are appended, not merged. |
| NestedArrayTest::testMergeOutOfSequenceKeys |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests that array keys values on the first array are ignored when merging. |
| NestedArrayTest::testSetValue |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests setting nested array values. |
| NestedArrayTest::testSetValueForce |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests force-setting values. |
| NestedArrayTest::testUnsetValue |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests unsetting nested array values. |
| NestedCompositeConstraintValidatorTest |
class |
core/tests/Drupal/KernelTests/Core/Validation/NestedCompositeConstraintValidatorTest.php |
Tests nested composite validation constraints. |
| NestedCompositeConstraintValidatorTest.php |
file |
core/tests/Drupal/KernelTests/Core/Validation/NestedCompositeConstraintValidatorTest.php |
|
| NestedCompositeConstraintValidatorTest::$modules |
property |
core/tests/Drupal/KernelTests/Core/Validation/NestedCompositeConstraintValidatorTest.php |
|
| NestedCompositeConstraintValidatorTest::testConfigValidation |
function |
core/tests/Drupal/KernelTests/Core/Validation/NestedCompositeConstraintValidatorTest.php |
Tests use of AtLeastOneOf validation constraint in config. |
| NestedEntityTestForm |
class |
core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php |
Provides a form for field_test routes. |
| NestedEntityTestForm.php |
file |
core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php |
|
| NestedEntityTestForm::buildForm |
function |
core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php |
|
| NestedEntityTestForm::getFormId |
function |
core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php |
|
| NestedEntityTestForm::submitForm |
function |
core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php |
|
| NestedEntityTestForm::validateForm |
function |
core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php |
|
| NestedFormTest |
class |
core/modules/field/tests/src/Functional/NestedFormTest.php |
Tests field elements in nested forms. |
| NestedFormTest.php |
file |
core/modules/field/tests/src/Functional/NestedFormTest.php |
|
| NestedFormTest::$defaultTheme |
property |
core/modules/field/tests/src/Functional/NestedFormTest.php |
|
| NestedFormTest::$field |
property |
core/modules/field/tests/src/Functional/NestedFormTest.php |
The field. |
| NestedFormTest::$fieldStorageSingle |
property |
core/modules/field/tests/src/Functional/NestedFormTest.php |
Single field storage. |
| NestedFormTest::$fieldStorageUnlimited |
property |
core/modules/field/tests/src/Functional/NestedFormTest.php |
Unlimited field storage. |
| NestedFormTest::$modules |
property |
core/modules/field/tests/src/Functional/NestedFormTest.php |
|
| NestedFormTest::setUp |
function |
core/modules/field/tests/src/Functional/NestedFormTest.php |
|
| NestedFormTest::testNestedEntityFormEntityLevelValidation |
function |
core/modules/field/tests/src/Functional/NestedFormTest.php |
Tests entity level validation within subforms. |
| NestedFormTest::testNestedFieldForm |
function |
core/modules/field/tests/src/Functional/NestedFormTest.php |
Tests Field API form integration within a subform. |
| NestedTableDragTestForm |
class |
core/modules/system/tests/modules/tabledrag_test/src/Form/NestedTableDragTestForm.php |
Provides a form for testing nested draggable tables. |
| NestedTableDragTestForm.php |
file |
core/modules/system/tests/modules/tabledrag_test/src/Form/NestedTableDragTestForm.php |
|
| NestedTableDragTestForm::buildForm |
function |
core/modules/system/tests/modules/tabledrag_test/src/Form/NestedTableDragTestForm.php |
|
| NestedTableDragTestForm::getFormId |
function |
core/modules/system/tests/modules/tabledrag_test/src/Form/NestedTableDragTestForm.php |
|
| NewDefaultThemeBlocksTest |
class |
core/modules/block/tests/src/Kernel/NewDefaultThemeBlocksTest.php |
Tests that a new default theme gets blocks. |
| NewDefaultThemeBlocksTest.php |
file |
core/modules/block/tests/src/Kernel/NewDefaultThemeBlocksTest.php |
|
| NewDefaultThemeBlocksTest::$defaultTheme |
property |
core/modules/block/tests/src/Kernel/NewDefaultThemeBlocksTest.php |
The default theme. |
| NewDefaultThemeBlocksTest::$modules |
property |
core/modules/block/tests/src/Kernel/NewDefaultThemeBlocksTest.php |
|
| NewDefaultThemeBlocksTest::setUp |
function |
core/modules/block/tests/src/Kernel/NewDefaultThemeBlocksTest.php |
|